HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get One Territory

Return a Territory with the corresponding {territoryId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve one territory by territoryId.

Use this endpoint when you already know the Arcadia territory ID and need the territory record. To find candidate territories by location, LSE, tariff, usage type, or territory item, use Get Territories.

Resource URI

GET /rest/public/territories/{territoryId}

Path parameters

ParameterTypeDescription
territoryIdIntegerUnique Arcadia ID for the territory. Required.

Optional response data

ParameterTypeDescription
populateItemsBooleanWhen true, includes territory items for the territory. Defaults to false. Optional.
populateLsesBooleanWhen true, includes LSEs that provide service in this territory. Defaults to false. Optional.

For the full Territory data model and examples, see Territories.

Example

GET /rest/public/territories/3539?populateItems=true

A successful response returns a standard response payload with type set to Territory and one territory in the results array.

Path Params
int32
required

Unique Arcadia ID (primary key) for each territory

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json